Welcome to Registry Editor

Registry Editor is a tool for Sage 300 Construction and Real Estate employees, Certified Consultants, and Business Partners. Registry Editor lets you install and run multiple versions of Sage 300 Construction and Real Estate products on a single workstation. With Registry Editor you can:

  • Set the Microsoft® Windows® registry to run a specific version of Sage 300 Construction and Real Estate software.
  • Clear Sage 300 Construction and Real Estate settings such as the default printer and default font.
  • Search drives for Sage 300 Construction and Real Estate installation folders.
  • Set whether to clear Desktop settings automatically or manually when you switch registry settings.
  • Switch industry reports and inquiries to use a different industry.
  • Refresh sample data.

Registry Editor: What do you want to do?

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


<product name>: What do you want to do?

» Get Started with Registry Editor > Registry Editor: What do you want to do?

Registry Editor: What do you want to do?

Set the Registry

Clear settings

Search drives for Sage 300 Construction and Real Estate installation folders

Update industry files

Switch industry reports and inquiries

Refresh sample data

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Set the registry

You can set the registry from the System Tray or from Registry Editor. You can set the registry to only those installation folders that you have added to Registry Editor.

To set the registry from the System Tray

  1. Right-click [image] in the System Tray.
  2. Select the installation directory to which you want to switch the registry.

To set the registry from Registry Editor

  1. Select the installation directory to which you want to switch the registry from the Available Sage 300 Construction and Real Estate install directories list.
  2. Click [Set Registry].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Clear settings

Use the Clear Settings window to delete the contents of some directories, prepare to install a new version, and clear some registry settings.

To clear settings

  1. From the Tools menu, select Clear Settings.
  2. Select the check boxes next to the settings you want to clear.
  3. Click [Apply].
Option | Action
Clear default printer setting | Clears the HKEY_CURRENT_USER\Software\Timberline\General\Printer setting in the Windows registry.
Clear default font setting | Clears the HKEY_CURRENT_USER\Software\Timberline\General\Default Font setting in the Windows registry.
Clear registry values for a new installation | Clears the Windows registry so that you can install a different version of Sage 300 Construction and Real Estate software.
Delete current report\backup directory | Removes the report\backup folder for the folder listed in the Current Timberline install directory box.
Delete ALL report\backup directories | Removes the report\backup folders for the folder listed in the Available Timberline install directories list.
Remove current data folder list | Clears the list of available data folders for the folder listed in the Available Timberline install directories list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Search drives for Sage 300 Construction and Real Estate installation folders

Use the Search Drives window to locate Sage 300 Construction and Real Estate installation directories. You can search hard disks and mapped network drives.

To search drives

  1. From the Tools menu, select Search.
  2. Under Available drives, select the hard disks and network drives to search.
  3. Click [Search].

To restore the list of installation directories

If you want to restore the list of Sage 300 Construction and Real Estate installation directories to what it was before you performed a search, click [Undo].

To remove directories from the list of installation directories

  1. Under Timberline install directories, select the directories to remove.
  2. Click [Remove].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Update industry files

Use the Update Industry Files window to copy industry report and inquiry files from a Sage 300 Construction and Real Estate installation to your Industry Switch installation directory. Registry Editor uses these files when you run Industry Switch.

Note: You must update industry files before you can run Industry Switch.

To update industry files from the System Tray

  1. Right-click [image] in the System Tray.
  2. Select Switch Industries.
  3. Click [Update].
  4. Under Source Location, click [Browse].
  5. Browse to the directory that contains a Sage 300 Construction and Real Estate CD image.
  6. Click [Update].

To update industry files

  1. From the Tools menu, select Switch Industries.
  2. Click [Update].
  3. Under Source Location, click [Browse].
  4. Browse to the directory that contains a Sage 300 Construction and Real Estate CD image.
  5. Click [Update].

Switch industry reports and inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Switch industry reports and inquiries

Use Switch Industries to change report and inquiry menus to a different industry type.

Note: You must update industry files before you can run Industry Switch.

Tip

If you customized menus for an industry type, you can restore menus to their original state. To restore menus, switch industries to the same industry type.

To switch industry reports and inquiries from the System Tray

  1. Right-click [image] in the System Tray.
  2. Select Switch Industries.
  3. Under Select Industry Type, select an industry type.
  4. Click [Switch].

To switch industry reports and inquiries from Registry Editor

  1. From the Tools menu, select Switch Industries.
  2. Under Select Industry Type, select an industry type.
  3. Click [Switch].

Update industry files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Refresh sample data

Use the Refresh Sample Data command to restore sample data in the current Sage 300 Construction and Real Estate install directory to the data's original state.

To refresh sample data from the System Tray

  1. Right-click [image] in the System Tray.
  2. Select Refresh Sample Data.
  3. In the Sample Data Refresh window, select the check boxes for each of the sample data types you want to restore.
  4. Click [Finish].

To refresh sample data from Registry Editor

  1. From the Tools menu, select Refresh Sample Data.
  2. In the Sample Data Refresh window, select the check boxes for each of the sample data types you want to restore.
  3. Click [Finish].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add to the list of installation directories

You can browse directly to a directory to add it to the list of installation directories. You can also search entire drives for installation directories.

To add an installation directory to the list

  1. In the Registry Editor window, click [Browse].
  2. Select the Sage 300 Construction and Real Estate installation directory.
  3. Click [OK].

Search drives for Sage 300 Construction and Real Estate installation folders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Clear Settings window

Use this window to delete the contents of some directories, prepare to install a new version, and clear some registry settings. You can clear the settings that follow:

Option | Action
Clear default printer setting | Clears the HKEY_CURRENT_USER\Software\Timberline\General\Printer setting in the Windows registry.
Clear default font setting | Clears the HKEY_CURRENT_USER\Software\Timberline\General\Default Font setting in the Windows registry.
Clear registry values for a new installation | Clears the Windows registry so that you can install a different version of Sage 300 Construction and Real Estate software.
Delete current report\backup directory | Removes the report\backup folder for the folder listed in the Current Timberline install directory box.
Delete ALL report\backup directories | Removes the report\backup folders for the folder listed in the Available Timberline install directories list.
Remove current data folder list | Clears the list of available data folders for the folder listed in the Available Timberline install directories list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Registry Editor Help

TSRegedit.chm version 12.1.0

May 7, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Search Drives window

Search drives for Sage 300 Construction and Real Estateinstallation folders

Use this window to locate Sage 300 Construction and Real Estate installation directories. You can search hard disks and mapped network drives.

To search drives

  1. Under Available drives, select the hard disks and network drives to search.
  2. Click [Search].

To restore the list of installation directories

If you want to restore the list of Sage 300 Construction and Real Estate installation directories to what it was before you performed a search, click [Undo].

To remove directories from the list of installation directories

  1. Under Timberline install directories, select the directories to remove.
  2. Click [Remove].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Switch Industries window

Use this window to change report and inquiry menus to a different industry type.

Note: You must update industry files before you can run Industry Switch.

Tip

If you customized menus for an industry type, you can restore menus to their original state. To restore menus, switch industries to the same industry type.

  1. Under Select Industry Type, select an industry type.
  2. Click [Switch].

Update industry files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.